## linux-meta-nvidia-6.17 6.17.0-1002.2

=== debian/changelog ===
linux-meta-nvidia-6.17 (6.17.0-1002.2) noble; urgency=medium

  * Main version: 6.17.0-1002.2

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 10 Oct 2025 09:58:39 -0500

linux-meta-nvidia-6.17 (6.17.0-1001.1) noble; urgency=medium

  * Main version: 6.17.0-1001.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 09 Oct 2025 17:06:11 -0500

linux-meta-nvidia-6.17 (6.17.0-1000.0) noble; urgency=medium

  * Initialize noble:linux-meta-nvidia-6.17.

 -- Abdur Rahman <abdur.rahman@canonical.com>  Mon, 08 Oct 2025 03:09:00 -0400
 

linux-meta (6.17.0-5.5) questing; urgency=medium

  * Main version: 6.17.0-5.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * [FFe] arm64: Build stubble kernel (LP: #2121352)
    - [Config] stubble -- add fallback kernel meta package
    - [Config] stubble -- add fallback kernel meta package - conflicts

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 22 Sep 2025 10:57:47 +0300

linux-meta (6.17.0-4.4) questing; urgency=medium

  * Main version: 6.17.0-4.4

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 08 Sep 2025 17:19:06 +0300

linux-meta (6.17.0-3.3) questing; urgency=medium

  * Main version: 6.17.0-3.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 28 Aug 2025 11:08:56 +0300

linux-meta (6.17.0-2.2) questing; urgency=medium

  * Main version: 6.17.0-2.2

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 26 Aug 2025 17:17:38 +0300

linux-meta (6.16.0-16.16) questing; urgency=medium

  * Main version: 6.16.0-16.16

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sat, 16 Aug 2025 17:31:26 +0200

linux-meta (6.16.0-14.14) questing; urgency=medium

  * Main version: 6.16.0-14.14

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 15 Aug 2025 08:25:32 +0200

linux-meta (6.16.0-13.13+1) questing; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] make linux-modules-ipu6-oem-24.04 depends on linux-
      modules-${kernel-abi-version}-generic

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 Aug 2025 17:28:29 +0200

linux-meta (6.16.0-13.13) questing; urgency=medium

  * Main version: 6.16.0-13.13

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] v6.16 now provides Intel ipu6-modules

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 07 Aug 2025 16:33:11 +0200

linux-meta (6.16.0-12.12) questing; urgency=medium

  * Main version: 6.16.0-12.12

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 07 Aug 2025 09:59:54 +0200

linux-meta (6.16.0-11.11) questing; urgency=medium

  * Main version: 6.16.0-11.11

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sat, 02 Aug 2025 11:25:51 +0200

linux-meta (6.16.0-10.10) questing; urgency=medium

  * Main version: 6.16.0-10.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 28 Jul 2025 08:23:37 +0200

linux-meta (6.16.0-9.9) questing; urgency=medium

  * Main version: 6.16.0-9.9

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 21 Jul 2025 09:51:22 +0200

linux-meta (6.16.0-8.8) questing; urgency=medium

  * Main version: 6.16.0-8.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 17 Jul 2025 15:14:32 +0200

linux-meta (6.16.0-0.0) questing; urgency=medium

  * Empty entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 17 Jul 2025 15:13:18 +0200

linux-meta (6.15.0-4.4) questing; urgency=medium

  * Main version: 6.15.0-4.4

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 04 Jul 2025 15:00:42 +0300

linux-meta (6.15.0-3.3+1) questing; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] Disable oem iwlwifi transitional deps for now, until backport-
      iwlwifi-dkms builds.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 25 Jun 2025 19:06:04 +0300

linux-meta (6.15.0-3.3) questing; urgency=medium

  * Main version: 6.15.0-3.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Replace linux-modules-extra with linux-modules for generic image
      depends.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 04 Jun 2025 09:14:40 +0300

linux-meta (6.15.0-0.0) questing; urgency=medium

  * Dummy entry.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 04 Jun 2025 09:08:36 +0300

linux-meta (6.14.0-17.17) plucky; urgency=medium

  * Main version: 6.14.0-17.17

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Thu, 01 May 2025 10:40:31 +0300

linux-meta (6.14.0-15.15) plucky; urgency=medium

  * Main version: 6.14.0-15.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 06 Apr 2025 15:11:50 +0200

linux-meta (6.14.0-14.14) plucky; urgency=medium

  * Main version: 6.14.0-14.14

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 04 Apr 2025 15:15:25 +0200

linux-meta (6.14.0-13.13) plucky; urgency=medium

  * Main version: 6.14.0-13.13

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 20:27:31 +0100

linux-meta (6.14.0-12.12) plucky; urgency=medium

  * Main version: 6.14.0-12.12

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package


