=== debian/control ===
Source: linux-meta-nvidia-6.17
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
Build-Depends-Arch:
 linux-nvidia-6.17-headers-6.17.0-1002,
 linux-headers-6.17.0-1002-nvidia,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-6.17/+git/noble

Package: linux-headers-nvidia-6.17
Architecture: amd64 arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
Description: NVIDIA Linux kernel headers
 This package will always depend on the latest NVIDIA kernel headers
 available.

Package: linux-image-nvidia-6.17
Architecture: amd64 arm64
Section: kernel
Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules} ${dkms:ipu6-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-firmware [amd64 arm64], intel-microcode [amd64], amd64-microcode [amd64]
Recommends: thermald [amd64]
Description: NVIDIA Linux kernel image
 This package will always depend on the latest NVIDIA kernel image
 available.

Package: linux-tools-nvidia-6.17
Architecture: amd64 arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
Description: NVIDIA Linux kernel tools
 This package will always depend on the latest NVIDIA kernel tools
 available.

Package: linux-nvidia-6.17
Architecture: amd64 arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-6.17--full--nvidia, kernel-testing--linux-nvidia-6.17--full--preferred,
Depends: ${misc:Depends}, linux-image-nvidia-6.17 (= ${binary:Version}), linux-headers-nvidia-6.17 (= ${binary:Version})
Recommends: linux-tools-${kernel-abi-version}-nvidia, ubuntu-kernel-accessories
Description: Complete NVIDIA Linux kernel and headers
 This package will always depend on the latest complete NVIDIA Linux kernel
 and headers.


Package: linux-headers-nvidia-64k-6.17
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
Description: NVIDIA 64K Linux kernel headers
 This package will always depend on the latest NVIDIA-64k kernel headers
 available.

Package: linux-image-nvidia-64k-6.17
Architecture: arm64
Section: kernel
Provides: ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware
Recommends: thermald [amd64]
Description: NVIDIA 64K Linux kernel image
 This package will always depend on the latest NVIDIA-64k kernel image
 available.

Package: linux-tools-nvidia-64k-6.17
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
Description: NVIDIA 64K Linux kernel tools
 This package will always depend on the latest NVIDIA-64k kernel tools
 available.

Package: linux-nvidia-64k-6.17
Architecture: arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-6.17--full--nvidia-64k,
Depends: ${misc:Depends}, linux-image-nvidia-64k-6.17 (= ${binary:Version}), linux-headers-nvidia-64k-6.17 (= ${binary:Version})
Recommends: linux-tools-${kernel-abi-version}-nvidia-64k, ubuntu-kernel-accessories
Description: Complete NVIDIA 64K Linux kernel and headers
 This package will always depend on the latest complete NVIDIA-64k Linux kernel
 and headers.
