## linux-meta-nvidia-6.17 6.17.0-1004.4

=== debian/changelog ===
linux-meta-nvidia-6.17 (6.17.0-1004.4) noble; urgency=medium

  * Main version: 6.17.0-1004.4

 -- Jacob Martin <jacob.martin@canonical.com>  Mon, 17 Nov 2025 16:04:18 -0600

linux-meta-nvidia-6.17 (6.17.0-1003.3) noble; urgency=medium

  * Main version: 6.17.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 14 Nov 2025 21:48:42 -0600
