## linux-meta-nvidia-6.17 6.17.0-1006.6

=== debian/changelog ===
linux-meta-nvidia-6.17 (6.17.0-1006.6) noble; urgency=medium

  * Main version: 6.17.0-1006.6

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Restore "UBUNTU: [Packaging] Temporarily remove nvidia-fs
      dependencies"

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 17 Dec 2025 10:02:33 -0600

linux-meta-nvidia-6.17 (6.17.0-1005.5) noble; urgency=medium

  * Main version: 6.17.0-1005.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - [Packaging] Revert "UBUNTU: [Packaging] Temporarily remove nvidia-fs
      dependencies"

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 16 Dec 2025 08:45:47 -0600
