## linux-meta-nvidia-6.17 6.17.0-1008.8

=== debian/changelog ===
linux-meta-nvidia-6.17 (6.17.0-1008.8) noble; urgency=medium

  * Main version: 6.17.0-1008.8

 -- Abdur Rahman <abdur.rahman@canonical.com>  Tue, 20 Jan 2026 16:55:03 -0500

linux-meta-nvidia-6.17 (6.17.0-1007.7) noble; urgency=medium

  * Main version: 6.17.0-1007.7

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Revert "UBUNTU: [Packaging] Temporarily remove nvidia-fs
      dependencies"

 -- Abdur Rahman <abdur.rahman@canonical.com>  Fri, 16 Jan 2026 15:27:13 -0500
