## linux-meta-nvidia-6.17 6.17.0-1011.11

=== debian/changelog ===
linux-meta-nvidia-6.17 (6.17.0-1011.11) noble; urgency=medium

  * Main version: 6.17.0-1011.11

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 18 Feb 2026 12:21:51 -0600

linux-meta-nvidia-6.17 (6.17.0-1010.10) noble; urgency=medium

  * Main version: 6.17.0-1010.10

 -- Jacob Martin <jacob.martin@canonical.com>  Sat, 14 Feb 2026 09:25:40 -0600

linux-meta-nvidia-6.17 (6.17.0-1009.9) noble; urgency=medium

  * Main version: 6.17.0-1009.9

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 13 Feb 2026 16:55:52 -0600
