=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-nvidia-6.17-headers-6.17.0-1008,
- linux-headers-6.17.0-1008-nvidia,
+ linux-nvidia-6.17-headers-6.17.0-1011,
+ linux-headers-6.17.0-1011-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-6.17/+git/noble
 
 Package: linux-headers-nvidia-6.17
